SELECT 
    DATE_FORMAT(cout, '%Y-%m') AS years,
    itemType, title,
    COUNT(bibNumber) AS Counts,
    SUM(CASE
        WHEN itemType = 'jcbk' THEN 1
        ELSE 0
    END) AS juvbook,
    SUM(CASE
        WHEN itemType = 'acbk' THEN 1
        ELSE 0
    END) AS adultbook,
    SUM(CASE
        WHEN
            itemType = 'jccas' OR itemType = 'jccd'
                OR itemType = 'jccdrom'
                OR itemType = 'jcvhs'
        THEN
            1
        ELSE 0
    END) AS juvmedia,
    SUM(CASE
        WHEN
            itemType = 'accd' OR itemType = 'acdvd'
                OR itemType = 'acvhs'
        THEN
            1
        ELSE 0
    END) AS adultmedia
FROM
    spl_2016.inraw
WHERE
    title LIKE '%Harry Potter prequel%'
        #AND title LIKE '%Grindelwald%'
GROUP BY DATE_FORMAT(cout, '%Y-%m'), itemType, title
ORDER BY DATE_FORMAT(cout, '%Y-%m')
